<template>
  <div class='container'>
    Meal name: <b>{{meal.name}}</b>,
    Price: <b>{{meal.price}}</b>
    ordered by <b>{{meal.user.name}}</b>
    <img :src="meal.user.image" style="width: 50px; height:50px; border-radius: 50%"></img>
    <div v-if="meal.user.id == $store.state.user.id">
      <delete-meal-button :meal="meal"></delete-meal-button>
      <update-meal-button :meal="meal"></update-meal-button>
    </div>
  </div>
</template>

<script>
export default {
    props: ['meal'],
    methods: {
      loadOrder() {
        this.$http.get(`api/v1/orders/${this.id}`).then((response) => { 
          this.order = response.data.order
         //this.$store.dispatch('loadOrders', response.data.orders)
        }).catch((error) => {
          this.$root.$emit('addFlashNotification', { notification: error.response.data.message, type: 'error' })
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
      }
    }
  }
</script>
